'use strict';

module.exports = {
    // default
    en: {
        INBOX: 'Inbox',
        '\\Drafts': 'Drafts',
        '\\Sent': 'Sent Mail',
        '\\Trash': 'Trash',
        '\\Junk': 'Junk',
        Restored: 'Restored'
    },
    ar: {
        INBOX: '\u0627\u0644\u0648\u0627\u0631\u062f',
        '\\Drafts': '\u0627\u0644\u0645\u0633\u0648\u062f\u0627\u062a',
        '\\Sent': '\u0627\u0644\u0645\u0631\u0633\u0644',
        '\\Trash': '\u0627\u0644\u0645\u0647\u0645\u0644\u0627\u062a',
        '\\Junk': '\u063a\u064a\u0631 \u0627\u0644\u0645\u0631\u063a\u0648\u0628'
    },
    ast: {
        INBOX: "Bandexa d'entrada",
        '\\Drafts': 'Borradores',
        '\\Sent': 'Unviaos',
        '\\Trash': 'Papelera',
        '\\Junk': 'Puxarra'
    },
    az: {
        INBOX: 'G\u0259l\u0259nl\u0259r',
        '\\Drafts': 'Qaralamalar',
        '\\Sent': 'G\u00f6nd\u0259ril\u0259nl\u0259r',
        '\\Trash': 'S\u0259b\u0259t',
        '\\Junk': 'Spam'
    },
    be: {
        INBOX: '\u0410\u0442\u0440\u044b\u043c\u0430\u043d\u044b\u044f',
        '\\Drafts': '\u0427\u0430\u0440\u043d\u0430\u0432\u0456\u043a\u0456',
        '\\Sent': '\u0414\u0430\u0441\u043b\u0430\u043d\u044b\u044f',
        '\\Trash': '\u0421\u043c\u0435\u0442\u043d\u0456\u0446\u0430',
        '\\Junk': '\u0421\u043f\u0430\u043c'
    },
    ber: {
        INBOX: null,
        '\\Drafts': null,
        '\\Sent': null,
        '\\Trash': null,
        '\\Junk': null
    },
    bg: {
        INBOX: '\u0412\u0445. \u043f\u043e\u0449\u0430',
        '\\Drafts': '\u0427\u0435\u0440\u043d\u043e\u0432\u0438',
        '\\Sent': '\u0418\u0437\u043f\u0440\u0430\u0442\u0435\u043d\u0438',
        '\\Trash': '\u041a\u043e\u0448\u0447\u0435',
        '\\Junk': '\u0421\u043f\u0430\u043c'
    },
    bn: {
        INBOX: '\u09aa\u09cd\u09b0\u09a7\u09be\u09a8 \u09ac\u09be\u0995\u09cd\u09b8',
        '\\Drafts': '\u0996\u09b8\u09dc\u09be',
        '\\Sent': '\u09aa\u09cd\u09b0\u09c7\u09b0\u09bf\u09a4(\u09aa\u09be\u09a0\u09be\u09a8\u09cb \u09ae\u09c7\u0987\u09b2)',
        '\\Trash': '\u09a1\u09be\u09b8\u09cd\u099f\u09ac\u09bf\u09a8',
        '\\Junk': '\u0986\u099c\u09c7\u09ac\u09be\u099c\u09c7 \u09ae\u09c7\u0987\u09b2'
    },
    br: {
        INBOX: 'Boest degemer',
        '\\Drafts': 'Brouilhedo\u00f9',
        '\\Sent': 'Kaset',
        '\\Trash': 'Pod-lastez',
        '\\Junk': 'Strobo\u00f9'
    },
    bs: {
        INBOX: 'Sandu\u010de',
        '\\Drafts': 'Skice',
        '\\Sent': 'Poslano',
        '\\Trash': 'Sme\u0107e',
        '\\Junk': 'Spam'
    },
    ca: {
        INBOX: "Safata d'entrada",
        '\\Drafts': 'Esborranys',
        '\\Sent': 'Enviats',
        '\\Trash': 'Paperera',
        '\\Junk': 'Correu brossa'
    },
    cs: {
        INBOX: 'P\u0159\u00edchoz\u00ed po\u0161ta',
        '\\Drafts': 'Rozepsan\u00e9',
        '\\Sent': 'Odeslan\u00e9',
        '\\Trash': 'Ko\u0161',
        '\\Junk': 'Spam'
    },
    cy: {
        INBOX: 'Mewnflwch',
        '\\Drafts': 'Drafftiau',
        '\\Sent': 'Danfonwyd',
        '\\Trash': 'Sbwriel',
        '\\Junk': 'Sothach'
    },
    da: {
        INBOX: 'Indbakke',
        '\\Drafts': 'Kladder',
        '\\Sent': 'Sendt post',
        '\\Trash': 'Papirkurv',
        '\\Junk': 'Spam'
    },
    de: {
        INBOX: 'Posteingang',
        '\\Drafts': 'Entw\u00fcrfe',
        '\\Sent': 'Gesendet',
        '\\Trash': 'Gel\u00f6scht',
        '\\Junk': 'Spam'
    },
    el: {
        INBOX: '\u0395\u03b9\u03c3\u03b5\u03c1\u03c7\u03cc\u03bc\u03b5\u03bd\u03b1',
        '\\Drafts': '\u03a0\u03c1\u03cc\u03c7\u03b5\u03b9\u03c1\u03b1',
        '\\Sent': '\u0391\u03c0\u03b5\u03c3\u03c4\u03b1\u03bb\u03bc\u03ad\u03bd\u03b1',
        '\\Trash': '\u039a\u03ac\u03b4\u03bf\u03c2 \u0391\u03c0\u03bf\u03c1\u03c1\u03b9\u03bc\u03ac\u03c4\u03c9\u03bd',
        '\\Junk': '\u0391\u03bd\u03b5\u03c0\u03b9\u03b8\u03cd\u03bc\u03b7\u03c4\u03b1'
    },
    eo: {
        INBOX: 'Ricevitujo',
        '\\Drafts': 'Malnetujo',
        '\\Sent': 'Senditujo',
        '\\Trash': 'Rubujo',
        '\\Junk': 'Spamujo'
    },
    es: {
        INBOX: 'Bandeja de entrada',
        '\\Drafts': 'Borradores',
        '\\Sent': 'Enviados',
        '\\Trash': 'Papelera',
        '\\Junk': 'No deseado'
    },
    et: {
        INBOX: 'Saabuvad',
        '\\Drafts': 'Mustandid',
        '\\Sent': 'Saadetud kirjad',
        '\\Trash': 'Prügikast',
        '\\Junk': 'Rämpspost',
        Restored: 'Taastatud'
    },
    eu: {
        INBOX: 'Sarrera ontzia',
        '\\Drafts': 'Zirriborroak',
        '\\Sent': 'Bidalitakoak',
        '\\Trash': 'Zakarrontzia',
        '\\Junk': 'Zabor-posta'
    },
    fa: {
        INBOX: '\u0635\u0646\u062f\u0648\u0642 \u0648\u0631\u0648\u062f\u06cc',
        '\\Drafts': '\u067e\u06cc\u0634\u200c\u0646\u0648\u06cc\u0633\u200c\u0647\u0627',
        '\\Sent': '\u0627\u0631\u0633\u0627\u0644 \u0634\u062f\u0647',
        '\\Trash': '\u0632\u0628\u0627\u0644\u0647\u200c\u062f\u0627\u0646',
        '\\Junk': '\u0628\u0646\u062c\u0644'
    },
    fi: {
        INBOX: 'Saapuneet',
        '\\Drafts': 'Luonnokset',
        '\\Sent': 'L\u00e4hetetyt',
        '\\Trash': 'Roskakori',
        '\\Junk': 'Roskaposti'
    },
    fo: {
        INBOX: 'Postur',
        '\\Drafts': 'Skitsur',
        '\\Sent': 'Sent',
        '\\Trash': 'Skrell',
        '\\Junk': 'M\u00f8sn'
    },
    fr: {
        INBOX: 'Bo\u00eete de r\u00e9ception',
        '\\Drafts': 'Brouillons',
        '\\Sent': 'Envoy\u00e9s',
        '\\Trash': 'Corbeille',
        '\\Junk': 'Pourriels'
    },
    fy: {
        INBOX: 'Postfek Yn',
        '\\Drafts': 'Konsepten',
        '\\Sent': 'Ferstjoerd',
        '\\Trash': 'Jiskefet',
        '\\Junk': 'Spam'
    },
    ga: {
        INBOX: 'Isteach',
        '\\Drafts': 'Dr\u00e9achta\u00ed',
        '\\Sent': 'Amach',
        '\\Trash': 'Bosca bruscair',
        '\\Junk': 'Dramha\u00edl'
    },
    gl: {
        INBOX: 'Caixa de entrada',
        '\\Drafts': 'Borradores',
        '\\Sent': 'Enviados',
        '\\Trash': 'Lixo',
        '\\Junk': 'Correo lixo'
    },
    he: {
        INBOX: '\u05e0\u05db\u05e0\u05e1',
        '\\Drafts': '\u05d8\u05d9\u05d5\u05d8\u05d5\u05ea',
        '\\Sent': '\u05e0\u05e9\u05dc\u05d7',
        '\\Trash': '\u05d0\u05e9\u05e4\u05d4',
        '\\Junk': '\u05d6\u05d1\u05dc'
    },
    hi: {
        INBOX: '\u0907\u0928\u092c\u0949\u0915\u094d\u0938',
        '\\Drafts': '\u0921\u094d\u0930\u093e\u092b\u093c\u091f',
        '\\Sent': '\u092d\u0947\u091c\u093e \u0917\u092f\u093e',
        '\\Trash': '\u0930\u0926\u094d\u0926\u0940',
        '\\Junk': '\u0938\u094d\u092a\u0948\u092e'
    },
    hr: {
        INBOX: 'Pristigla po\u0161ta',
        '\\Drafts': 'Predlo\u0161ci',
        '\\Sent': 'Poslano',
        '\\Trash': 'Sme\u0107e',
        '\\Junk': 'Spam'
    },
    hu: {
        INBOX: '\u00c9rkezettek',
        '\\Drafts': 'Piszkozatok',
        '\\Sent': 'K\u00fcld\u00f6ttek',
        '\\Trash': 'Kuka',
        '\\Junk': 'K\u00e9retlen'
    },
    hy: {
        INBOX: '\u0553\u0578\u057d\u057f\u0561\u0580\u056f\u0572',
        '\\Drafts': '\u054d\u0587\u0561\u0563\u0580\u0565\u0580',
        '\\Sent': '\u0548\u0582\u0572\u0561\u0580\u056f\u057e\u0561\u056e',
        '\\Trash': '\u0531\u0572\u0562\u0561\u0580\u056f\u0572',
        '\\Junk': '\u0539\u0561\u0583\u0578\u0576'
    },
    ia: {
        INBOX: 'Cassa de entrata',
        '\\Drafts': 'Versiones provisori',
        '\\Sent': 'Inviate',
        '\\Trash': 'Corbe a papiro',
        '\\Junk': 'Posta indesirate'
    },
    id: {
        INBOX: 'Kotak Masuk',
        '\\Drafts': 'Konsep',
        '\\Sent': 'Terkirim',
        '\\Trash': 'Surat Terhapus',
        '\\Junk': 'Sampah'
    },
    is: {
        INBOX: 'Innh\u00f3lf',
        '\\Drafts': 'Dr\u00f6g',
        '\\Sent': 'Sent',
        '\\Trash': 'Rusl',
        '\\Junk': 'Ruslp\u00f3stur'
    },
    it: {
        INBOX: 'Posta in arrivo',
        '\\Drafts': 'Bozze',
        '\\Sent': 'Inviata',
        '\\Trash': 'Cestino',
        '\\Junk': 'Spam'
    },
    ja: {
        INBOX: '\u53d7\u4fe1\u7bb1',
        '\\Drafts': '\u4e0b\u66f8\u304d',
        '\\Sent': '\u9001\u4fe1\u6e08\u307f',
        '\\Trash': '\u3054\u307f\u7bb1',
        '\\Junk': '\u8ff7\u60d1\u30e1\u30fc\u30eb'
    },
    ka: {
        INBOX: '\u10db\u10d8\u10e6\u10d4\u10d1\u10e3\u10da\u10d8',
        '\\Drafts': '\u10d3\u10e0\u10dd\u10d4\u10d1\u10d8\u10d7\u10d8',
        '\\Sent': '\u10d2\u10d0\u10d2\u10d6\u10d0\u10d5\u10dc\u10d8\u10da\u10d8',
        '\\Trash': '\u10ec\u10d0\u10e8\u10da\u10d8\u10da\u10d8',
        '\\Junk': '\u10e1\u10de\u10d0\u10db\u10d8'
    },
    km: {
        INBOX: '\u1794\u17d2\u179a\u17a2\u1794\u17cb\u179f\u17c6\u1794\u17bb\u178f\u17d2\u179a',
        '\\Drafts': '\u179f\u17c6\u1794\u17bb\u178f\u17d2\u179a\u1796\u1784\u17d2\u179a\u17c0\u1784',
        '\\Sent': '\u179f\u17c6\u1794\u17bb\u178f\u17d2\u179a\u178a\u17c2\u179b\u1794\u17b6\u1793\u1794\u1789\u17d2\u1787\u17bc\u1793',
        '\\Trash': '\u1792\u17bb\u1784\u179f\u17c6\u179a\u17b6\u1798',
        '\\Junk': '\u179f\u17c6\u1794\u17bb\u178f\u17d2\u179a\u1798\u17b7\u1793\u179b\u17d2\u17a2'
    },
    kn: {
        INBOX: null,
        '\\Drafts': null,
        '\\Sent': null,
        '\\Trash': null,
        '\\Junk': null
    },
    ko: {
        INBOX: '\ubc1b\uc740 \ud3b8\uc9c0\ud568',
        '\\Drafts': '\uc784\uc2dc \ubcf4\uad00\ud568',
        '\\Sent': '\ubcf4\ub0b8 \ud3b8\uc9c0\ud568',
        '\\Trash': '\uc9c0\uc6b4 \ud3b8\uc9c0\ud568',
        '\\Junk': '\uc2a4\ud338 \ud3b8\uc9c0\ud568'
    },
    ku: {
        INBOX: 'Hat\u00ee',
        '\\Drafts': 'Hilan\u00een\u00ee',
        '\\Sent': '\u015eand\u00ee',
        '\\Trash': '\u00c7op',
        '\\Junk': 'Biik\u00earnehat\u00ee'
    },
    lb: {
        INBOX: 'Mailbox',
        '\\Drafts': 'Brouillonen',
        '\\Sent': 'Versch\u00e9ckt',
        '\\Trash': 'Poubelle',
        '\\Junk': 'Spam'
    },
    lt: {
        INBOX: 'Gauti lai\u0161kai',
        '\\Drafts': 'Juodra\u0161\u010diai',
        '\\Sent': 'I\u0161si\u0173sti lai\u0161kai',
        '\\Trash': '\u0160iuk\u0161lin\u0117',
        '\\Junk': 'Brukalas'
    },
    lv: {
        INBOX: 'Ien\u0101ko\u0161\u0101s',
        '\\Drafts': 'Uzmetumi',
        '\\Sent': 'Nos\u016bt\u012bt\u0101s',
        '\\Trash': 'Pap\u012brgrozs',
        '\\Junk': 'M\u0113stules'
    },
    mk: {
        INBOX: '\u041f\u0440\u0438\u043c\u0435\u043d\u0438',
        '\\Drafts': '\u041d\u0435\u043f\u0440\u0430\u0442\u0435\u043d\u0438',
        '\\Sent': '\u041f\u0440\u0430\u0442\u0435\u043d\u0438',
        '\\Trash': '\u041a\u043e\u0440\u043f\u0430',
        '\\Junk': '\u0403\u0443\u0431\u0440\u0435'
    },
    ml: {
        INBOX: '\u0d07\u0d28\u0d4d\u200d\u0d2c\u0d4b\u0d15\u0d4d\u0d38\u0d4d',
        '\\Drafts': '\u0d2a\u0d42\u0d30\u0d4d\u200d\u0d24\u0d4d\u0d24\u0d3f\u0d2f\u0d3e\u0d15\u0d3e\u0d24\u0d4d\u0d24\u0d35',
        '\\Sent': '\u0d05\u0d2f\u0d1a\u0d4d\u0d1a\u0d35',
        '\\Trash': '\u0d1a\u0d35\u0d31\u0d4d\u0d31\u0d41\u0d15\u0d41\u0d1f\u0d4d\u0d1f',
        '\\Junk': '\u0d06\u0d35\u0d36\u0d4d\u0d2f\u0d2e\u0d3f\u0d32\u0d4d\u0d32\u0d3e\u0d24\u0d4d\u0d24\u0d35'
    },
    mn: {
        INBOX: '\u0418\u0440\u044d\u0445 \u0445\u0430\u0439\u0440\u0446\u0430\u0433',
        '\\Drafts': '\u041d\u043e\u043e\u0440\u043e\u0433',
        '\\Sent': '\u0418\u043b\u0433\u044d\u044d\u0441\u044d\u043d',
        '\\Trash': '\u0425\u043e\u0433\u0438\u0439\u043d \u0441\u0430\u0432',
        '\\Junk': '\u0421\u043f\u0430\u043c'
    },
    mr: {
        INBOX: '\u0906\u0932\u0947\u0932\u0947 \u0938\u0902\u0926\u0947\u0936',
        '\\Drafts': '\u092e\u0938\u0941\u0926\u093e',
        '\\Sent': '\u092a\u093e\u0920\u0935\u0932\u0947\u0932\u0947',
        '\\Trash': '\u0915\u091a\u0930\u093e \u092a\u0947\u091f\u0940',
        '\\Junk': '\u0928\u0915\u094b \u0905\u0938\u0932\u0947\u0932\u0947 \u0915\u091a\u0930\u093e \u0938\u0902\u0926\u0947\u0936'
    },
    ms: {
        INBOX: 'Peti Masuk',
        '\\Drafts': 'Draf',
        '\\Sent': 'Hantar',
        '\\Trash': 'Tong Sampah',
        '\\Junk': 'Junk'
    },
    nb: {
        INBOX: 'Innboks',
        '\\Drafts': 'Kladd',
        '\\Sent': 'Sendt',
        '\\Trash': 'Slettet',
        '\\Junk': 'Spam'
    },
    ne: {
        INBOX: '\u092a\u094d\u0930\u093e\u092a\u094d\u0924\u093f \u092e\u091e\u094d\u091c\u0942\u0937\u093e',
        '\\Drafts': '\u0921\u094d\u0930\u093e\u092b\u094d\u091f\u0939\u0930\u0942',
        '\\Sent': '\u092a\u0920\u0908\u090f\u0915\u093e \u092e\u0947\u0932\u0939\u0930\u0941',
        '\\Trash': '\u0930\u0926\u094d\u0926\u0940 \u091f\u094b\u0915\u0930\u0940',
        '\\Junk': '\u0938\u094d\u092a\u093e\u092e'
    },
    nl: {
        INBOX: 'Postvak IN',
        '\\Drafts': 'Concepten',
        '\\Sent': 'Verzonden berichten',
        '\\Trash': 'Prullenbak',
        '\\Junk': 'Spam'
    },
    nn: {
        INBOX: 'Innboks',
        '\\Drafts': 'Kladd',
        '\\Sent': 'Sendt',
        '\\Trash': 'Sletta',
        '\\Junk': 'S\u00f8ppel'
    },
    pl: {
        INBOX: 'Odebrane',
        '\\Drafts': 'Kopie robocze',
        '\\Sent': 'Wys\u0142ane',
        '\\Trash': 'Kosz',
        '\\Junk': 'Spam'
    },
    ps: {
        INBOX: '\u0631\u0627\u063a\u0644\u064a \u0644\u064a\u06a9\u0648\u0646\u0647',
        '\\Drafts': '\u0628\u0627\u0631\u0644\u064a\u06a9',
        '\\Sent': '\u0644\u06d0\u0696\u0644 \u0634\u0648\u064a \u0644\u064a\u06a9\u0648\u0646\u0647',
        '\\Trash': '\u06a9\u062b\u0627\u0641\u062a \u062f\u0627\u0646\u06cd',
        '\\Junk': '\u062c\u0646\u06a9'
    },
    pt: {
        INBOX: 'Caixa de entrada',
        '\\Drafts': 'Rascunhos',
        '\\Sent': 'Enviados',
        '\\Trash': 'Lixeira',
        '\\Junk': 'Spam'
    },
    ro: {
        INBOX: 'Primite',
        '\\Drafts': 'Ciorne',
        '\\Sent': 'Trimise',
        '\\Trash': 'Gunoi',
        '\\Junk': 'Spam'
    },
    ru: {
        INBOX: '\u0412\u0445\u043e\u0434\u044f\u0449\u0438\u0435',
        '\\Drafts': '\u0427\u0435\u0440\u043d\u043e\u0432\u0438\u043a\u0438',
        '\\Sent': '\u041e\u0442\u043f\u0440\u0430\u0432\u043b\u0435\u043d\u043d\u044b\u0435',
        '\\Trash': '\u041a\u043e\u0440\u0437\u0438\u043d\u0430',
        '\\Junk': '\u0421\u041f\u0410\u041c'
    },
    si: {
        INBOX: '\u0d91\u0db1\u0dbd\u0dd2\u0db4\u0dd2',
        '\\Drafts': '\u0d9a\u0da7\u0dd4 \u0dc3\u0da7\u0dc4\u0db1\u0dca',
        '\\Sent': '\u0dba\u0dd0\u0dc0\u0dd6',
        '\\Trash': '\u0d89\u0dc0\u0dad\u0dbd\u0db1 \u0db6\u0db3\u0dd4\u0db1',
        '\\Junk': '\u0dc3\u0dd4\u0db1\u0dca\u0db6\u0dd4\u0db1\u0dca'
    },
    sk: {
        INBOX: 'Doru\u010den\u00e1 po\u0161ta',
        '\\Drafts': 'Koncepty',
        '\\Sent': 'Odoslan\u00e9',
        '\\Trash': 'K\u00f4\u0161',
        '\\Junk': 'Nevy\u017eiadan\u00e1 po\u0161ta'
    },
    sl: {
        INBOX: 'Prejeto',
        '\\Drafts': 'Osnutki',
        '\\Sent': 'Poslano',
        '\\Trash': 'Smeti',
        '\\Junk': 'Ne\u017eelena sporo\u010dila'
    },
    sq: {
        INBOX: 'T\u00eb marr\u00eb',
        '\\Drafts': 'Skica',
        '\\Sent': 'T\u00eb d\u00ebrguar',
        '\\Trash': 'Hedhurina',
        '\\Junk': 'T\u00eb pavler\u00eb'
    },
    sr: {
        INBOX: '\u041f\u0440\u0438\u043c\u0459\u0435\u043d\u0435',
        '\\Drafts': '\u041d\u0430\u0446\u0440\u0442\u0438',
        '\\Sent': '\u041f\u043e\u0441\u043b\u0430\u0442\u0435',
        '\\Trash': '\u0421\u043c\u0435\u045b\u0435',
        '\\Junk': '\u041e\u0442\u043f\u0430\u0434'
    },
    sv: {
        INBOX: 'Inkorg',
        '\\Drafts': 'Utkast',
        '\\Sent': 'Skickat',
        '\\Trash': 'Papperskorg',
        '\\Junk': 'Skr\u00e4p'
    },
    ta: {
        INBOX: '\u0b85\u0b95\u0baa\u0bcd\u0baa\u0bc6\u0b9f\u0bcd\u0b9f\u0bbf',
        '\\Drafts': '\u0bb5\u0bb0\u0bc8\u0bb5\u0bc1\u0b95\u0bb3\u0bcd',
        '\\Sent': '\u0b85\u0ba9\u0bc1\u0baa\u0bcd\u0baa\u0bbf\u0baf \u0b85\u0b9e\u0bcd\u0b9a\u0bb2\u0bcd',
        '\\Trash': '\u0b95\u0bc1\u0baa\u0bcd\u0baa\u0bc8',
        '\\Junk': '\u0b8e\u0bb0\u0bbf\u0ba4\u0bae\u0bcd'
    },
    th: {
        INBOX: '\u0e01\u0e25\u0e48\u0e2d\u0e07\u0e02\u0e32\u0e40\u0e02\u0e49\u0e32',
        '\\Drafts': '\u0e01\u0e25\u0e48\u0e2d\u0e07\u0e08\u0e14\u0e2b\u0e21\u0e32\u0e22\u0e23\u0e48\u0e32\u0e07',
        '\\Sent': '\u0e01\u0e25\u0e48\u0e2d\u0e07\u0e02\u0e32\u0e2d\u0e2d\u0e01',
        '\\Trash': '\u0e16\u0e31\u0e07\u0e02\u0e22\u0e30',
        '\\Junk': '\u0e01\u0e25\u0e48\u0e2d\u0e07\u0e08\u0e14\u0e2b\u0e21\u0e32\u0e22\u0e02\u0e22\u0e30'
    },
    ti: {
        INBOX: '\u1233\u1339\u1295 \u12a0\u1273\u12ca',
        '\\Drafts': '\u12c8\u1321\u1295 \u133d\u1211\u134d',
        '\\Sent': '\u12dd\u1270\u1208\u12a3\u12b8',
        '\\Trash': '\u12a5\u1295\u12f3\u1309\u1213\u134d',
        '\\Junk': '\u12a5\u1295\u12f3\u1245\u1295\u1320\u1218\u1295\u1322'
    },
    tr: {
        INBOX: 'Gelen',
        '\\Drafts': 'Taslak',
        '\\Sent': 'Giden',
        '\\Trash': '\u00c7\u00f6p',
        '\\Junk': '\u0130stenmeyen'
    },
    tzl: {
        INBOX: null,
        '\\Drafts': null,
        '\\Sent': null,
        '\\Trash': null,
        '\\Junk': null
    },
    uk: {
        INBOX: '\u0412\u0445\u0456\u0434\u043d\u0456',
        '\\Drafts': '\u0427\u0435\u0440\u043d\u0435\u0442\u043a\u0438',
        '\\Sent': '\u041d\u0430\u0434\u0456\u0441\u043b\u0430\u043d\u0456',
        '\\Trash': '\u041a\u043e\u0448\u0438\u043a',
        '\\Junk': '\u0421\u043f\u0430\u043c'
    },
    ur: {
        INBOX: '\u0627\u0646 \u0628\u0627\u06a9\u0633',
        '\\Drafts': '\u0688\u0631\u0627\u0641\u0679',
        '\\Sent': null,
        '\\Trash': null,
        '\\Junk': null
    },
    uz: {
        INBOX: 'Kirish xatlari',
        '\\Drafts': 'Qoralama xatlar',
        '\\Sent': 'Jo`natilgan xatlar',
        '\\Trash': 'Savat',
        '\\Junk': 'SPAM'
    },
    vi: {
        INBOX: 'H\u1ed9p th\u01b0',
        '\\Drafts': 'Th\u01b0 nh\u00e1p',
        '\\Sent': '\u0110\u00e3 g\u1eedi',
        '\\Trash': 'Th\u00f9ng r\u00e1c',
        '\\Junk': 'Th\u01b0 r\u00e1c'
    },
    zh: {
        INBOX: '\u6536\u4ef6\u5323',
        '\\Drafts': '\u8349\u7a3f\u5323',
        '\\Sent': '\u5bc4\u4ef6\u5099\u4efd',
        '\\Trash': '\u5783\u573e\u6876',
        '\\Junk': '\u5783\u573e\u90f5\u4ef6'
    }
};
